bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: compiling on Sun Blade 100 running Solaris 2.8


From: T.L.Bowers
Subject: Re: compiling on Sun Blade 100 running Solaris 2.8
Date: 16 Jul 2002 05:39:12 -0700

Nevermind, I figured it out on my own :).  I just copied the 
updated sol2-5.h from the CVS repository and placed it into the
src/s directory and ran make again.   Worked like a charm.  

Regards
-tb

address@hidden (T.L.Bowers) wrote in message news:<address@hidden>...
> Eli,
> I'm having this problem as well with a ultra5 running Solaris 2.8 and gcc 3.1.
> 
> I need a little more help getting past this error.  I can't get any version
> of emacs to compile due to this error.
> 
> Can someone point me to some docs the can help me do this patch. Any idea when
> the next release is scheduled.
> 
> Regards
> -tb
> 
> > >     gcc -c   -I/usr/openwin/include  -I/usr/dt/include   -g -O2  
> > > -DEMACS_BITMAP_FILES -DHAVE_CONFIG_H -Demacs  -I. -I../src 
> > > -I/usr/local/src/gnu/emacs-21.2/lwlib -I 
> > > /usr/local/src/gnu/emacs-21.2/lwlib/../src xlwmenu.c
> > >     In file included from /usr/openwin/include/X11/Xos.h:81,
> > >                from xlwmenu.c:32:
> > >     /usr/include/strings.h:25: conflicting types for `memmove'
> > >     /usr/include/iso/string_iso.h:62: previous declaration of `memmove'
> > >     /usr/include/strings.h:26: parse error before numeric constant
> > > 
>  
> > I think we already have that fixed in both CVS head and branch.  IIRC, I 
> > sent a patch in response to the original report, but got no replies.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]